Adaptive Video Streaming

Adaptive Video Streaming API

1.0.0OAS 3.0

API for retrieving public links to HLS and DASH manifests for video assets

API Base URL
  • Server 1:https://api.example.com

    API server

Get public links for an asset

This API returns public links to both HLS and DASH manifests for video assets, as well as the Video player HTML embed code to integrate Adaptive Video Streaming links with a supported video player. This endpoint uses the newer, standard UUID format of 8-4-4-4-12, and letters are lowercase. See the example for asset_id, and Note on identifiers for more information.

get
https://api.example.com/api/1/assets/{asset_id}/public-links

Path Parameters

asset_idstring(uuid)required

The UUID of the asset

Example:f4d5881d-9a2b-4e3d-a1f7-29f6771309f9

Response

application/json

Successful response with public links

PublicLinks

dashstring(uri)required

URL to the DASH manifest

Example:https://your.portal.url/vod-stream/00000000-0000-0000-0000-000000000000/play-dash.mpd

embedCodestringrequired

HTML embed code for integrating the video player

Example:<link rel="stylesheet" type="text/css" href="https://cdnjs.cloudflare.com/ajax/libs/shaka-player/4.7.11/controls.min.css"/><div bvd-manifest-url="https://deliver-testmanual.bynder-stage.com/vod-stream/450b9520-b186-48c6-8a51-faec286abc37/play-hls2.m3u8" bvd-poster="https://deliver-testmanual.bynder-stage.com/asset/450b9520-b186-48c6-8a51-faec286abc37/thumbnail/webimage-poster"></div><script src="https://deliver-testmanual.bynder-stage.com/v7/video-delivery/main.js"></script>

hlsstring(uri)required

URL to the HLS manifest

Example:https://your.portal.url/vod-stream/00000000-0000-0000-0000-000000000000/play-hls2.m3u8

get/api/1/assets/{asset_id}/public-links
 
application/json